import { UnityContextHook } from 'react-unity-webgl/distribution/types/unity-context-hook';
import { RawMessageType } from '../app/pages/raw-message-output-tab';
import { ReadyState, SendMessage } from '../use-web-socket';
export interface UseEngineConnectionFactory {
    isConnected: boolean;
    connectionStatus: string;
    sendMessage: SendMessage;
    messages: RawMessageType[];
    lastMessage: string;
    readyState: ReadyState;
    arcAudioQueue: string[];
    resetMessages: () => void;
    persona: PersonaMessage | undefined;
}
export interface UseEngineConnectionFactoryProps {
    engineConnectionValue: string | undefined;
    applicationValue: string | undefined;
    unityArcContext: UnityContextHook | undefined;
    isArc: boolean;
}
export type PersonaMessage = {
    ref: string;
    name: string;
    avatarRef: string;
};
export declare function useEngineConnectionFactory(props: UseEngineConnectionFactoryProps): UseEngineConnectionFactory;
