import { default as React } from 'react';
import { UnityContextHook } from 'react-unity-webgl/distribution/types/unity-context-hook';
import { PersonaMessage } from '../../api/use-engine-connection-factory';
import { SendMessage } from '../../use-web-socket';
import { RawMessageType } from './raw-message-output-tab';
export type ChatPageProps = {
    sendMessage: SendMessage;
    messages: RawMessageType[];
    lastMessage: string;
    unityArcContext: UnityContextHook;
    analyzerData: {
        dataArray: Uint8Array;
        bufferLength: number;
        analyzer: AnalyserNode | null;
    };
    arcAudioQueue: string[];
    persona: PersonaMessage | undefined;
};
export type ArcTabsProps = {
    qrCode: string | null;
    onCloseRef: React.MutableRefObject<() => void>;
    onOpenRef: React.MutableRefObject<() => void>;
};
export declare const ArcTabs: React.FC<ArcTabsProps>;
export declare const TabWrapper: (props: {
    qrCode: string | null;
    locale?: string;
    onCloseRef: React.MutableRefObject<() => void>;
    onOpenRef: React.MutableRefObject<() => void>;
}) => import("react/jsx-runtime").JSX.Element;
